//a library for UI elements such as the slider
import controlP5.*;  

// These are used to set up the slider
final int MIN_DEPTH = 0;
final int MAX_DEPTH = 7;

// These are the coordinates of the starting triangle
final int TOP_X = 200;
final int TOP_Y = 100;
final int LEFT_X = 50;
final int LEFT_Y = 350;
final int RIGHT_X = 350;
final int RIGHT_Y = 350;

int depthSlider = 0; //controls the recursive depth
ControlP5 controlP5;


/*
 This code is executed only once at the very beginning
  Conceptually, the setup method has a similar role as a constructor
*/
void setup() {
  size(500, 500);
  noStroke();  
  setupSlider();  
}


/*
  The draw method is continuously executed
*/
void draw() {
  background(0);    
  
  // Draws the initiale white triangle
  fill(255);
  triangle(LEFT_X, LEFT_Y, RIGHT_X, RIGHT_Y, TOP_X, TOP_Y);  
  
  // Recurses to draw the actual sierpinski triangle  
  sierpinski(LEFT_X, LEFT_Y, RIGHT_X, RIGHT_Y, TOP_X, TOP_Y, 0);
}

/*
 This is a recursive method that draws the sierpinski triangle
*/
void sierpinski(int leftX, int leftY, int rightX, int rightY, int topX, int topY, int currentDepth){
  // FILL IN
}


/*
 This constructs the slider. You do not need to change any of the code here.
 The current value of the slider is always stored in the integer variable depthSlider 
*/
void setupSlider(){
  controlP5 = new ControlP5(this);
  controlP5.addSlider("depthSlider",MIN_DEPTH,MAX_DEPTH,depthSlider,20,20,280,40).setId(1);
  Slider slider = (Slider)controlP5.getController("depthSlider"); //Get a handle to the new slider
  slider.setNumberOfTickMarks(MAX_DEPTH+1);  // Set tick marks
  slider.setLabel("Depth of\nrecursion"); 
  System.out.println("control: v5");
}
    